package com.ruoyi.ss.billEleRecord.mapper;

import com.ruoyi.ss.billEleRecord.domain.BillEleRecord;
import com.ruoyi.ss.billEleRecord.domain.BillEleRecordQuery;
import com.ruoyi.ss.billEleRecord.domain.BillEleRecordVO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * 订单电量记录Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-04
 */
public interface BillEleRecordMapper
{
    /**
     * 查询订单电量记录
     *
     * @param id 订单电量记录主键
     * @return 订单电量记录
     */
    public BillEleRecordVO selectBillEleRecordById(Long id);

    /**
     * 查询订单电量记录列表
     *
     * @param query 订单电量记录
     * @return 订单电量记录集合
     */
    public List<BillEleRecordVO> selectBillEleRecordList(@Param("query")BillEleRecordQuery query);

    /**
     * 新增订单电量记录
     *
     * @param billEleRecord 订单电量记录
     * @return 结果
     */
    public int insertBillEleRecord(BillEleRecord billEleRecord);

    /**
     * 修改订单电量记录
     *
     * @param billEleRecord 订单电量记录
     * @return 结果
     */
    public int updateBillEleRecord(@Param("data") BillEleRecord billEleRecord);

    /**
     * 删除订单电量记录
     *
     * @param id 订单电量记录主键
     * @return 结果
     */
    public int deleteBillEleRecordById(Long id);

    /**
     * 批量删除订单电量记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBillEleRecordByIds(Long[] ids);

    int batchInsert(@Param("list") List<BillEleRecord> list);

    BigDecimal selectMaxEle(@Param("query") BillEleRecordQuery query);

    BigDecimal selectSumOfTotalPrice(@Param("query") BillEleRecordQuery query);
}
